Bug 517409 - Review Request: django-authority - A Django app for generic per-object permissions and custom permission checks
Summary: Review Request: django-authority - A Django app for generic per-object permis...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Allisson Azevedo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 19:19 UTC by Diego Búrigo Zacarão
Modified: 2009-09-03 23:19 UTC (History)
3 users (show)

Fixed In Version: 0.3-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-18 21:14:35 UTC
allisson: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Diego Búrigo Zacarão 2009-08-13 19:19:02 UTC
Spec URL: http://diegobz.fedorapeople.org/packages/django-authority/django-authority.spec
SRPM URL: http://diegobz.fedorapeople.org/packages/django-authority/django-authority-0.3-1.fc11.src.rpm

Description:
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template 
tags for ease of use.

This package is needed to suppress a dependency for the new Transifex 0.7-RC1.

Comment 1 Allisson Azevedo 2009-08-13 22:30:26 UTC
I'll make review soon as posible :)

Comment 2 Allisson Azevedo 2009-08-14 16:29:28 UTC
Well,

BAD:

* rpmlint issues:
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._handling_admin.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._tips_tricks.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._installation.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._configuration.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._support.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._index.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._handling_template.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._create_per_object_permission.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.theme/nature/._theme.conf
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.static
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.static
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._check_python.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/build/html/.buildinfo
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._documentation_guidelines.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.theme
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.theme
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._check_templates.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._create_basic_permission.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._handling_python.txt
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/._check_decorator.txt
1 packages and 0 specfiles checked; 0 errors, 20 warnings.

Please fix this issues :)

Comment 4 Allisson Azevedo 2009-08-14 20:44:57 UTC
BAD:

* rpmlint:

django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.static
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.static
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/build/html/.buildinfo
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.theme
django-authority.noarch: W: hidden-file-or-dir /usr/share/doc/django-authority-0.3/docs/.theme
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

I suggest remove docs/ for %doc section, these docs are build with python-sphinx, but, using command for build (python setup.py build_sphinx) fails on my F-11.

* %doc section:

Please add AUTHORS, LICENSE and README in %doc section.

Comment 5 Diego Búrigo Zacarão 2009-08-15 00:35:35 UTC
I added in %doc the docs/build/html instead.

Spec URL: http://diegobz.fedorapeople.org/packages/django-authority/django-authority.spec
SRPM URL: http://diegobz.fedorapeople.org/packages/django-authority/django-authority-0.3-2.fc11.src.rpm  

%changelog
* Fri Aug 14 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.3-2
(...)
- Added only HTML built doc files from docs dir
- Added some missed doc files like AUTHORS
- Clean up .builinfo files

Comment 6 Allisson Azevedo 2009-08-15 02:28:14 UTC
It's good for me :)

APPROVED

Comment 7 Diego Búrigo Zacarão 2009-08-15 13:54:03 UTC
Thank you, Allisson.

New Package CVS Request
=======================
Package Name: django-authority
Short Description: A Django app for generic per-object permissions and custom permission checks
Owners: diegobz
Branches: F-10 F-11 EL-5
InitialCC: diegobz

Comment 8 Kevin Fenzi 2009-08-17 18:28:48 UTC
cvs done.

Comment 9 Fedora Update System 2009-08-17 19:58:26 UTC
django-authority-0.3-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/django-authority-0.3-2.el5

Comment 10 Fedora Update System 2009-08-17 19:58:31 UTC
django-authority-0.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/django-authority-0.3-2.fc11

Comment 11 Fedora Update System 2009-08-18 00:24:41 UTC
django-authority-0.3-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update django-authority'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0290

Comment 12 Fedora Update System 2009-08-18 21:14:28 UTC
django-authority-0.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-09-03 23:19:39 UTC
django-authority-0.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.